package com.syntevo.openapi.smartsvn.gui.menu;

import org.jetbrains.annotations.*;

/**
 * An menu item representing an action.
 */
public interface MenuAction extends MenuItem {

	/**
	 * Returns the ID of the action.
	 */
	@NotNull
	String getId();

	/**
	 * @return "action"
	 */
	@NotNull
	String getType();
}
